///////////////////////////////////////////////////////////////////////////////
//
// CutCharge
// -----------------
//
// Authors: Reinhard Schwienhorst
//       
// Date: April 28 2004
// 
// This class is derived from the BaseCut Class and simply
// cuts on if the event has reconstructed objects
// 
///////////////////////////////////////////////////////////////////////////////

#ifndef CutCharge_h
#define CutCharge_h

#include "single_top_analysis/HistoCut.hpp"
#include "single_top_analysis/Particles.hpp"

#include <string>
#include <vector>
#include <sstream>

using namespace std;


class CutCharge : public HistoCut
{

public:

  // constructor
  CutCharge(Particles *obj,int cs=1,int lf=-1);
  
  // destructor
  ~CutCharge();

  // methods:
  void BookHistogram(void );
  bool Apply();
  
  inline std::string GetCutName (void) { return "CutCharge"; };


private:
  // 
  //
  //////////////////////////////////////////////////////////////////////////
  // cut parameters:
  int _chargeSign;
  int _leptonFlavor;
  //
  // also make a histogram of the quantity we are cutting on
  myTH1F*   _hChargeSign;   // lepton charge 
  myTH1F*   _hLeptonFlavor;  // electron flavor
  

};


#endif







